{"openapi":"3.0.0","servers":[{"url":"https:\/\/api.digitalcore.telkomsel.com"}],"info":{"title":"NIK Matching v4","version":"1.0.0"},"paths":{"\/digihub\/subscheck\/nikmatchingv4":{"post":{"summary":"NIK Matching v4","operationId":"NIK Matching v4","description":"This service is use to check pair of KTP with msisdn. This API will enable Government or Enterprise to know if NIK and MSISDN are paired according to Telkomsel Registration Process. Telkomsel will just respond with Score.","parameters":[{"in":"header","name":"api_key","example":"e688u2hgpkzjd244wecywwv8","description":"API Key \/ Package Key from Digihub","required":true,"schema":{"type":"string"}},{"in":"header","name":"x-signature","example":"ff080f3200a5945deeb59ad65e2b33788f5df49066a82afcf8b6d5bf43ff76ea","description":"SHA256 (API Key + Secret Key + timeStamp). [More info](https:\/\/digihub.telkomsel.com\/documentation\/consumer-guide\/api-authentication)","required":true,"schema":{"type":"string"}},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","enum":["application\/json"]}}],"requestBody":{"content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/RequestBody"}}}},"responses":{"200":{"description":"Success","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodySuccess"}}}},"400":{"description":"Empty Mandatory Parameter \/ Invalid MSISDN \/ Invalid Sender ID","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"examples":{"Empty Mandatory Parameter":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20001","status_desc":"Empty mandatory parameter"}}},"Invalid MSISDN":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20002","status_desc":"INVALID MSISDN"}}},"Subscriber MSISDN Not Found":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20003","status_desc":"Subscriber MSISDN Not Found"}}},"Error msisdn is postpaid":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20004","status_desc":"Error msisdn is postpaid"}}},"Msisdn is Not Active":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20005","status_desc":"Error msisdn is postpaid"}}},"Code Not Found":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20009","status_desc":"Code Not Found"}}},"Partner Not Allow":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20013","status_desc":"Partner Not Allow"}}},"Customer Not Consent":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20014","status_desc":"Customer Not Consent"}}},"Consent expired":{"value":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"20015","status_desc":"Consent expired"}}}}}}},"502":{"description":"Backend Internal Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"30xxx","status_desc":"Service provider error: {consumer}-{provider}-{service provider error description}"}}}}},"503":{"description":"Service provider unreachable","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"10001","status_desc":"Service provider unreachable"}}}}},"504":{"description":"Service provider response timeout","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseBodyError"},"example":{"transaction":{"transaction_id":"C002190726165745657448250","status_code":"10004","status_desc":"Service provider response timeout"}}}}}}}}},"components":{"schemas":{"RequestBody":{"type":"object","required":["transaction","parameter"],"properties":{"transaction":{"$ref":"#\/components\/schemas\/RequestTransaction"},"parameter":{"$ref":"#\/components\/schemas\/RequestParameter"}}},"RequestTransaction":{"type":"object","required":["transaction_id","consent_id","msisdn"],"properties":{"transaction_id":{"description":"Transaction ID","type":"string","example":"1643624695_00000187"},"consent_id":{"description":"Customer consent id","type":"string","example":"consent_01"},"msisdn":{"description":"MSISDN starts with \u201c62\u201d for Indonesia calling code.","type":"string","example":"628111334831"}}},"RequestParameter":{"type":"object","required":["nik","channel"],"properties":{"nik":{"description":"Personal Identity Number","type":"string","example":3275084501940012},"channel":{"description":"Channel name, for external TSEL please use \u201cof\u201d as the value","type":"string","example":"of"}}},"ResponseBodySuccess":{"type":"object","required":["transaction","ktpmatch_information"],"properties":{"transaction":{"$ref":"#\/components\/schemas\/ResponseTransaction"}}},"ResponseBodyError":{"type":"object","required":["transaction"],"properties":{"transaction":{"$ref":"#\/components\/schemas\/ResponseTransaction"}}},"ResponseTransaction":{"properties":{"transaction_id":{"description":"Transaction ID","type":"string","example":"1643624695_00000187"},"status_code":{"description":"Status code","type":"string","example":"00000"},"status_desc":{"description":"Status description","type":"string","example":"Success"},"score":{"description":"Score of KTP Match returned based on score mapping Scoring Rules.","type":"string","example":"2"}}}}}}